subversion-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Philip Martin <phi...@codematters.co.uk>
Subject Re: Reviewing 1.10 APIs & compatibility
Date Wed, 07 Feb 2018 22:24:19 GMT
Julian Foad <julianfoad@apache.org> writes:

> It looks like the behaviour changes in 1.10 are intentional and Good.
>
> I think the test suite should be updated to accept the old error when
> the server is old, like this:

I suppose we could change the testsuite along these lines, but I don't
see it as something we have to do for 1.10.  I've looked at all the
errors that mixed 1.9-1.10 testing showed and I don't think any of them
are release critical.  For this particular test, the locking error
message, we might choose to backport a 1.9 client fix to improve the
client-generated error message and such a backport might make any change
to the trunk test redundant.  It may even be better to leave the trunk
test unchanged so that it fails with 1.9.7 but passes with some future
1.9.8.

-- 
Philip

Mime
View raw message